# $Id: gnomemm.spec,v 1.3 2002/10/24 07:42:59 dude Exp $

Summary: A C++ interface for GNOME libs (a GUI library for X).
Name: gnomemm
Version: 1.2.3
Release: fr2
License: LGPL
Group: System Environment/Libraries
URL: http://gtkmm.sourceforge.net/
Source: ftp://download.sourceforge.net/gtkmm/%{name}-%{version}.tar.bz2
Patch: gnomemm-1.2.3-rh80.patch
Buildroot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.7, gnome-libs >= 1.2.7, gtkmm >= 1.2.8, libsigc++ >= 1.0.3
BuildRequires: gtk+-devel, gnome-libs-devel, gtkmm-devel, libsigc++-devel

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage of
the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.


%package devel
Summary: Headers for developing programs that will use Gnome--.
Group: Development/Libraries
Requires: %{name}, gnome-libs-devel, gtkmm-devel, libsigc++-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.


%prep
%setup -q
%patch -p1 -b .rh80

%build
%configure --enable-static --enable-shared --enable-docs
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# replace examples.conf by a really simple one
(
  echo 'CXXBUILD = g++ -O2 $< -o $@ `gnome-config gnomemm --cflags --libs` '
  echo 'CXXCOMPILE = g++ -O2 -c $< -o $@ `gnome-config gnomemm --cflags` '
  echo 'CXXLINK = g++ -O2 -o $@ `gnome-config gnomemm --libs` '
) > examples/examples.conf

rm -f examples/Makefile*
rm -f examples/examples.conf.in

# strip down the docs 
find docs/ \
\( 	-name 'Makefile*' -or	\
	-name '*.m4' -or	\
	-name 'html' -or	\
	-name 'header' -or 	\
	-name '*.h' 		\
\)	-exec rm -rf {} \;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc examples/ docs/
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/*.so
%{_datadir}/aclocal/gnome--.m4

%changelog
* Wed Oct 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Added a fix for 8.0, thanks to Julian Missig.

* Wed Jul 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.3.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Thu Nov  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.2.

* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.1.

* Mon Jul 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.0.

* Tue May 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.18... buggy!
- Update to 1.1.19... better :-)

* Wed Apr 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and rebuild for Red Hat 7.1.

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec

